## visad
Class RemoteServerImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteServerImpl

All Implemented Interfaces:
  Remote, RemoteServer, Serializable

public class RemoteServerImpl
extends UnicastRemoteObject
implements RemoteServer

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteServerImpl()`
`RemoteServerImpl(RemoteDataReferenceImpl[] rs)`
`RemoteServerImpl(RemoteDataReferenceImpl[] rs, RemoteDisplayImpl[] rd)` construct a RemoteServerImpl and initialize it with an array of RemoteDataReferenceImpls
`RemoteServerImpl(RemoteDisplayImpl[] rd)`

Method Summary
`void` `addDataReference(DataReferenceImpl ref)` Add a DataReferenceImpl to server (after wrapping it in a RemoteDataReferenceImpl)
`void` `addDataReference(RemoteDataReferenceImpl ref)` add a new RemoteDataReferenceImpl to server and extend array
`void` `addDisplay(DisplayImpl di)` add DisplayImpl to server (after wrapping it in a RemoteDisplayImpl)
`void` `addDisplay(RemoteDisplayImpl rd)` add a new RemoteDisplayImpl to server and extend array
`RemoteDataReference` `getDataReference(int index)` get a RemoteDataReference by index
`RemoteDataReference` `getDataReference(String name)` get a RemoteDataReference by name
`RemoteDataReference[]` `getDataReferences()` return array of all RemoteDataReferences in this RemoteServer
`RemoteDisplay` `getDisplay(int index)` get a RemoteDisplay by index
`RemoteDisplay` `getDisplay(String name)` get a RemoteDisplay by name
`RemoteDisplay[]` `getDisplays()` return array of all RemoteDisplays in this RemoteServer
`void` `removeDataReference(RemoteDataReferenceImpl ref)` remove a RemoteDataReferenceImpl from server and shrink size of array
`void` `removeDisplay(RemoteDisplayImpl rd)` remove a RemoteDisplayImpl from server and shrink size of array
`void` `setDataReference(int index, RemoteDataReferenceImpl ref)` set one RemoteDataReference in the array on this RemoteServer (and extend length of array if necessary)
`void` `setDataReferences(RemoteDataReferenceImpl[] rs)` set array of all RemoteDataReferences on this RemoteServer
`void` `setDisplays(RemoteDisplayImpl[] rd)` set all RemoteDisplayImpls to serve

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteServerImpl

    public RemoteServerImpl()
                     throws RemoteException

### RemoteServerImpl

    public RemoteServerImpl(RemoteDataReferenceImpl[] rs)
                     throws RemoteException

### RemoteServerImpl

    public RemoteServerImpl(RemoteDisplayImpl[] rd)
                     throws RemoteException

### RemoteServerImpl

    public RemoteServerImpl(RemoteDataReferenceImpl[] rs,
                            RemoteDisplayImpl[] rd)
                     throws RemoteException

  construct a RemoteServerImpl and initialize it with an array of RemoteDataReferenceImpls

Method Detail

### getDataReference

    public RemoteDataReference getDataReference(int index)
                                         throws RemoteException

  get a RemoteDataReference by index

  Specified by:
    `getDataReference` in interface `RemoteServer`
  Throws:
    `RemoteException`

### getDataReference

    public RemoteDataReference getDataReference(String name)
                                         throws VisADException,
                                                RemoteException

  get a RemoteDataReference by name

  Specified by:
    `getDataReference` in interface `RemoteServer`
  Throws:
    `VisADException`
    `RemoteException`

### getDataReferences

    public RemoteDataReference[] getDataReferences()
                                            throws RemoteException

  return array of all RemoteDataReferences in this RemoteServer

  Specified by:
    `getDataReferences` in interface `RemoteServer`
  Throws:
    `RemoteException`

### setDataReference

    public void setDataReference(int index,
                                 RemoteDataReferenceImpl ref)
                          throws VisADException

  set one RemoteDataReference in the array on this RemoteServer (and extend length of array if necessary)

  Throws:
    `VisADException`

### addDataReference

    public void addDataReference(DataReferenceImpl ref)
                          throws RemoteException

  Add a DataReferenceImpl to server (after wrapping it in a RemoteDataReferenceImpl)

  Throws:
    `RemoteException`

### addDataReference

    public void addDataReference(RemoteDataReferenceImpl ref)

  add a new RemoteDataReferenceImpl to server and extend array

  Specified by:
    `addDataReference` in interface `RemoteServer`

### setDataReferences

    public void setDataReferences(RemoteDataReferenceImpl[] rs)

  set array of all RemoteDataReferences on this RemoteServer

  Specified by:
    `setDataReferences` in interface `RemoteServer`

### removeDataReference

    public void removeDataReference(RemoteDataReferenceImpl ref)

  remove a RemoteDataReferenceImpl from server and shrink size of array

  Specified by:
    `removeDataReference` in interface `RemoteServer`

### getDisplays

    public RemoteDisplay[] getDisplays()
                                throws RemoteException

  return array of all RemoteDisplays in this RemoteServer

  Specified by:
    `getDisplays` in interface `RemoteServer`
  Throws:
    `RemoteException`

### getDisplay

    public RemoteDisplay getDisplay(int index)

  get a RemoteDisplay by index

  Specified by:
    `getDisplay` in interface `RemoteServer`

### getDisplay

    public RemoteDisplay getDisplay(String name)
                             throws VisADException,
                                    RemoteException

  get a RemoteDisplay by name

  Specified by:
    `getDisplay` in interface `RemoteServer`
  Throws:
    `VisADException`
    `RemoteException`

### addDisplay

    public void addDisplay(DisplayImpl di)
                    throws RemoteException

  add DisplayImpl to server (after wrapping it in a RemoteDisplayImpl)

  Throws:
    `RemoteException`

### addDisplay

    public void addDisplay(RemoteDisplayImpl rd)

  add a new RemoteDisplayImpl to server and extend array

  Specified by:
    `addDisplay` in interface `RemoteServer`

### setDisplays

    public void setDisplays(RemoteDisplayImpl[] rd)

  set all RemoteDisplayImpls to serve

  Specified by:
    `setDisplays` in interface `RemoteServer`

### removeDisplay

    public void removeDisplay(RemoteDisplayImpl rd)

  remove a RemoteDisplayImpl from server and shrink size of array

  Specified by:
    `removeDisplay` in interface `RemoteServer`